### Property

# Soup Server:tls-certificate

#### Declaration

    property tls-certificate: Gio.TlsCertificate [ read, write, construct ]

#### Description [src]

A [class@Gio.TlsCertificate[] that has a `GTlsCertificate:private-key` set.

If this is set, then the server will be able to speak https in addition to (or instead of) plain http.

Type: | `GTlsCertificate`

Getter method | `soup_server_get_tls_certificate()`
Setter method | `soup_server_set_tls_certificate()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no